# One-dimensional Interpolation

------

Interpolators | Method
 :-- | :--
[`LinearInterpolator`](@ref) | piecewise linear
[`CubicInterpolator`](@ref) | piecewise cubic (no smoothness guarantee)
[`CubicSplineInterpolator`](@ref) | cubic spline, natural or clamped
[`ChebyshevInterpolator`](@ref) | [Chebyshev expansion](chebyshev.md)

------

Functions | Use
 :-- | :--
[`quadratic`](@ref) | quadratic interpolation of any 3 points
[`cubic`](@ref) | cubic interpolation of any 4 points
[`neville`](@ref) | $(n-1)$th order polynomial interpolation of any $n$ points
[`vandermonde`](@ref) | coefficients of $(n-1)$th order polynomial passing through $n$ points
[`cubichermite`](@ref) | cubic interpolation using two points with first derivatives

------

```@docs
LinearInterpolator
CubicInterpolator
CubicSplineInterpolator
ChebyshevInterpolator
quadratic
cubic
neville
vandermonde
cubichermite
```
